TaskResource.TaskLog
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.executor.state
Class TaskResource.TaskLog

    java.lang.Object
      GCUBELog
          org.gcube.vremanagement.executor.state.TaskResource.TaskLog

Enclosing class:
  TaskResource

    public class TaskResource.TaskLog

extends GCUBELog

Extends `GCUBELog` to forward a selection of log messages to the log RP.

Constructor Summary
`TaskResource.TaskLog(java.lang.Object obj)` Creates an instance for a given object.

Method Summary
`void` | `error(java.lang.Object arg0)`
`void` | `error(java.lang.Object arg0, java.lang.Throwable arg1)`
`void` | `fatal(java.lang.Object arg0)`
`void` | `fatal(java.lang.Object arg0, java.lang.Throwable arg1)`
`void` | `info(java.lang.Object arg0)`
`void` | `info(java.lang.Object arg0, java.lang.Throwable arg1)`
`void` | `warn(java.lang.Object arg0)`
`void` | `warn(java.lang.Object arg0, java.lang.Throwable arg1)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskResource.TaskLog

    public TaskResource.TaskLog(java.lang.Object obj)

  Creates an instance for a given object.

  Parameters:
    `obj` - the object.

Method Detail

### error

    public void error(java.lang.Object arg0)

### error

    public void error(java.lang.Object arg0,
                      java.lang.Throwable arg1)

### fatal

    public void fatal(java.lang.Object arg0)

### fatal

    public void fatal(java.lang.Object arg0,
                      java.lang.Throwable arg1)

### info

    public void info(java.lang.Object arg0)

### info

    public void info(java.lang.Object arg0,
                     java.lang.Throwable arg1)

### warn

    public void warn(java.lang.Object arg0)

### warn

    public void warn(java.lang.Object arg0,
                     java.lang.Throwable arg1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD